Package org.eclipse.app4mc.amalthea.model.io

## Class AmaltheaLoader

- Object
- - AmaltheaLoader

    public class AmaltheaLoader
    extends Object

### Method Summary

All Methods
`static Amalthea` `loadFromFile​(File file)` Static method to load an AMALTHEA model from a file.
`static Amalthea` `loadFromFileNamed​(String pathname)` Static method to load an AMALTHEA model from a file with a given pathname string.
`static Amalthea` `loadFromURI​(URI uri)` Static method to load an AMALTHEA model from a file URI.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### loadFromFileNamed

    public static Amalthea loadFromFileNamed​(String pathname)

Static method to load an AMALTHEA model from a file with a given pathname string.

Possible path names:

- absolute (example: "d:/temp/model.amxmi")
- relative to project folder (example: "input/model.amxmi")

Parameters:
  `pathname` - String
Returns:
  AMALTHEA model - null if load failed

#### loadFromFile

    public static Amalthea loadFromFile​(File file)

Static method to load an AMALTHEA model from a file.

Parameters:
  `file` - standard Java file
Returns:
  AMALTHEA model - null if load failed

#### loadFromURI

    public static Amalthea loadFromURI​(URI uri)

Static method to load an AMALTHEA model from a file URI.

Parameters:
  `uri` - org.eclipse.emf.common.util.URI
Returns:
  AMALTHEA model - null if load failed